
QGIS Application - Bug report #17863

Zoom to layer has inconsistent behavior with filter

2018-01-16 05:11 AM - Kory Roberts

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Unknown

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25758

Description

Apply filter to existing layer.  Click "Zoom to layer".  Save project file, close, and reopen.  Click "Zoom to layer".  Zoom now changes

behavior as if there is no filter at all.

Tested with Spatialite layer and Shapefile.

Associated revisions

Revision e9c9b5df - 2018-01-25 02:38 PM - Alessandro Pasotti 

[bugfix][ogr] Update extent when subsetstring is set in the ctor

Fixes #17863 - Zoom to layer has inconsistent behavior with filter

Revision cd0559df - 2018-01-25 02:38 PM - Alessandro Pasotti 

[bugfix][spatialite] Update extent when subsetstring is set in the ctor

Fixes #17863 - Zoom to layer has inconsistent behavior with filter

History

#1 - 2018-01-25 09:39 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2018-01-25 09:52 AM - Alessandro Pasotti

Interesting: geopackage is not affected but spatialite and shpefile are ....

#3 - 2018-01-25 02:50 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

This was indeed a problem with extent and feature count not being updated on (ogr and spatialite) filtered layers when they were created.

See PR https://github.com/qgis/QGIS/pull/6173
#4 - 2018-01-26 09:14 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|e9c9b5dfb6016322d60add6277ee3e0ab5e9113e.

#5 - 2018-02-21 09:51 PM - Giovanni Manghi

- Resolution set to fixed/implemented
